Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.query
Interface ProfileSelectors.Factory

Enclosing class:
  ProfileSelectors

    protected static interface ProfileSelectors.Factory

Factory interface, used for internal implementation

Method Summary
`Selector` | `categoriesContains(java.util.Collection<? extends Identity> categories)`
`Selector` | `categoriesContains(Identity category)`
`Selector` | `categoryDontContain(java.util.Collection<? extends Identity> categories)`
`Selector` | `categoryDontContain(Identity category)`
`Selector` | `keywordIn(java.util.Collection<java.lang.String> keywords)`
`Selector` | `keywordNot(java.lang.String keyword)`
`Selector` | `keywordNotIn(java.util.Collection<java.lang.String> keywords)`
`Selector` | `keywordsContain(java.util.Collection<java.lang.String> keywords)`
`Selector` | `keywordsContain(java.lang.String keyword)`

Method Detail

### categoriesContains

    Selector categoriesContains(Identity category)

### categoriesContains

    Selector categoriesContains(java.util.Collection<? extends Identity> categories)

### categoryDontContain

    Selector categoryDontContain(java.util.Collection<? extends Identity> categories)

### categoryDontContain

    Selector categoryDontContain(Identity category)

### keywordsContain

    Selector keywordsContain(java.lang.String keyword)

### keywordsContain

    Selector keywordsContain(java.util.Collection<java.lang.String> keywords)

### keywordIn

    Selector keywordIn(java.util.Collection<java.lang.String> keywords)

### keywordNot

    Selector keywordNot(java.lang.String keyword)

### keywordNotIn

    Selector keywordNotIn(java.util.Collection<java.lang.String> keywords)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD